<h1 class="text-center">SENSATIONAL FILTER</h1>


<app-filter-var (productSelect)="currentProduct = $event" (newProducts)="products = $event" (showTable)="showTable = $event"></app-filter-var>

<app-product-table (productSelect)="currentProduct = $event" [products]="products" [keys]="true" *ngIf="showTable" ></app-product-table>

<!-- Button trigger modal -->
<button type="button" id="productPictureModal" [hidden]="true" class="btn btn-primary" data-toggle="modal" data-target="#pictureModal">
  Launch demo modal
</button>
<!-- Modal -->
<div class="modal fade"  id="pictureModal" tabindex="-1"  role="dialog" aria-labelledby="pictureModal" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header ">
        <h5 class="modal-title" ></h5>
        <div class="title"></div>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      
      <div class="modal-body">
        <section id="contact">
          <div class="section-content">
            <div class="row">
              <div class="col-xs-12 col-md-6 col-sm-6">  
                <div class="image">
                  <img [src]="currentProduct.image" class="img-responsive"/>
                </div>
              </div>
              <div class="col-xs-12 col-md-6 col-sm-6">
                  <div>{{currentProduct.name}}  </div>
                  <div>${{currentProduct.price | number:'.2-2'}}  </div>
              </div>
            </div>
          </div>
        </section>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


